Reference
Get a job
One job (same columns as jobs.list) with its state changes (`transitions`: from, to, code, at) and the jobs run again from it (`replays`).
View MarkdownThis page is generated from the source code on every release.
One job (same columns as jobs.list) with its state changes (transitions: from, to, code, at) and the jobs run again from it (replays).
Overview
| Name | Value |
|---|---|
| Code | jobs.get |
| Scope needed | audit.read |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
Needs Idempotency-Key |
No |
| Member roles allowed | owner, manager, agent, viewer |
| In the app | Logs → Jobs |
Input fields
| Field | Type | Required | Description |
|---|---|---|---|
jobId |
uuid |
Yes |
Example request
curl -X POST https://tlg.builera.app/api/public/v2/ops/jobs.get \
-H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"jobId":"00000000-0000-0000-0000-000000000000"}'Output fields (data)
| Field | Type | Required |
|---|---|---|
job |
object |
Yes |
transitions |
object[] |
Yes |
replays |
object[] |
Yes |
Example answer
{
"data": {
"job": {
"id": "00000000-0000-4000-8000-000000000000",
"account_id": "00000000-0000-4000-8000-000000000000",
"node_id": "00000000-0000-4000-8000-000000000000",
"action": "text",
"status": "held",
"hold_code": "text",
"error_code": "text",
"source": "text",
"attempts": 1,
"effectful": true,
"quota_group": "text",
"not_before": "text",
"retry_at": "2026-10-22T12:00:00.000Z",
"created_at": "2026-10-22T12:00:00.000Z",
"finished_at": "2026-10-22T12:00:00.000Z",
"replay_of": "text",
"connection_id": "00000000-0000-4000-8000-000000000000"
},
"transitions": [
{
"from": "text",
"to": "text",
"code": "text",
"at": "text"
}
],
"replays": [
{
"id": "00000000-0000-4000-8000-000000000000",
"status": "held",
"error_code": "text",
"created_at": "2026-10-22T12:00:00.000Z",
"finished_at": "2026-10-22T12:00:00.000Z"
}
]
}
}Using it over MCP
Not listed on any profile: call tools_describe then tools_run with code: "jobs.get". Tool name when listed: jobs_get.